Warning: file_exists(): open_basedir restriction in effect. File(/srv/http/vhosts/aur.archlinux.org/public/web/locale//en/LC_MESSAGES/aurweb.mo) is not within the allowed path(s): (/srv/http/vhosts/aur-dev.archlinux.org/:/etc/aurweb/) in /srv/http/vhosts/aur-dev.archlinux.org/public/web/lib/streams.php on line 90
AUR (en) - gimp-plugin-resynthesizer-git

Notice: Undefined variable: name in /srv/http/vhosts/aur-dev.archlinux.org/public/web/lib/pkgfuncs.inc.php on line 248

Package Details: gimp-plugin-resynthesizer-git 2.0.r15.g462b0b7-3

Git Clone URL: https://aur-dev.archlinux.org/gimp-plugin-resynthesizer-git.git (read-only)
Package Base: gimp-plugin-resynthesizer-git
Description: Suite of gimp plugins for texture synthesis (like heal-selection). Git-Version
Upstream URL: https://github.com/bootchk/resynthesizer
Keywords: heal heal-selection
Licenses: GPL2
Conflicts: gimp-resynth, gimp-resynth-git
Provides: gimp-plugin-resynthesizer=2.0
Submitter: TrialnError
Maintainer: TrialnError
Last Packager: TrialnError
Votes: 197
Popularity: 3.236987
First Submitted: 2014-10-09 10:24
Last Updated: 2015-09-17 09:40

Dependencies (3)

Required by (1)

Sources (1)

Latest Comments

« First ‹ Previous 1 2 3 4 5 6

Anonymous comment on 2011-04-16 15:24

update the plugin to version 1.0 please.

Anonymous comment on 2011-02-06 18:45

Ok, well the image i'm modifying is pretty large but I also have 4gb of ram. I will try reducing the size and see if it works then.thanks

Anonymous comment on 2011-02-06 18:35

From my experience, applying resynthesizer for large images may fail silently if you don't have enough ram. On my system I was unable to use it for 10MP pictures before I upgraded from 1 to 2GB of ram. Maybe try using it on a small image first.

The plugin should add "Smart enlarge" and "Smart remove selection" to the Filters->Enhance menu and "Resynthesize" to Filters-Map. I've just rebuild and reinstalled the package on my system and everything works as it should.

Note that there are two other gimp-resynth packages on AUR that include some patches from debian. This is the original, unmodified version. I have never had trouble with it, so I never tried the other packages. Maybe you have better luck with those. If you still have trouble with it, it may be better to ask on the forums, since it's apparently not a packaging problem.

Anonymous comment on 2011-02-06 17:32

I have installed this package and I can go to Filters>Map>Resynthesizer to get to the tool, but when I make a selection and use it nothing happens. Also, I don't have any of the scripts like Smart Remove Object in my Script-Fu menu. Did I do something wrong?

Anonymous comment on 2010-03-29 07:07

Both smart-remove-selection and smart-enlarge (which I assume you meant) work in gimp 2.6.8. Since the bug described on the page you've linked to isn't critical I won't fix it until it gets fixed in the upstream version. Note that simply replacing smart-remove.scm with the above version is a bad idea since it also changes the name of the filter and the description for no apparent reason.

Anonymous comment on 2010-03-29 01:14

The smart-remove script from resynthesizer is broken with newer versions of gimp and should be replaced with the script at http://registry.gimp.org/node/15118

smart-remove is broken as well but afaik has no replacement.